6 Replies Latest reply on Feb 21, 2014 7:54 AM by Laszlo G

    Upgrade from ePO 4.5 to ePO 4.6 or 5.1

    sop-windows

      Hi:

      we are in the process to plan the upgrade of our actual ePO console v4.5 because it´s out of support. We have McAfee Agent v4.6 and ViruScan 8.8 Patch 2 in our clients. I have some doubts about this process.

      1) We are planning to deploy Windows 8 machines in our organization. This OS version needs Agent v4.8. It´s possible to have 2 diferent agent versions managed from the same console?

      2) Looking at the lifecycle for the ePO different versions, ePO 5.1 ends on 31-Dec-2016 and ePO 4.6 ends on 31-Dec-2015. The logic tells me that maybe is better to go to v5.1, but I don´t know if the upgrade process is the same to both versions from v4.5 or is more critical to one of them (or either unsupported).

      Thanks a lot in advance.

        • 1. Re: Upgrade from ePO 4.5 to ePO 4.6 or 5.1
          Laszlo G

          Hi, I will try to answer your questions

           

          1) Yes, you can have different McAfee Agent versions managed by the same ePO server

          2) Upgrading to 5.1 has different requirements than to 4.6. For example, ePO 5.1 needs Windows 2008 x64 bits or Windows 2012 and ePO 4.6 can be installed on Windows 2003 or Windows 2008; also ePO 5.1 needs 8GB free RAM and ePO 4.6 only 2GB

           

          Hope it helps

          • 2. Re: Upgrade from ePO 4.5 to ePO 4.6 or 5.1
            sop-windows

            Hi, Laszlo G:

            thanks for your help. Assuming the OS and hardware prerequisites for each ePO version, the upgrade process is the same (more or less)? Due to the characteristics of the antivirus service we have to assess which way is simpler.

            • 3. Re: Upgrade from ePO 4.5 to ePO 4.6 or 5.1
              rothman

              The other thing you have to take note of is what products you need ePO to manage.  Last I heard, ePO 5 was still missing some extensions, which are available in 4.x, for McAfee products... though perhaps this changed in 5.1.  Then there is the always looming problem of going with the latest and greatest version of software, since they are usually buggy (of course this isn't specific to McAfee software, but most all software).

              • 4. Re: Upgrade from ePO 4.5 to ePO 4.6 or 5.1
                Laszlo G

                sop-windows escribió:

                 

                Hi, Laszlo G:

                thanks for your help. Assuming the OS and hardware prerequisites for each ePO version, the upgrade process is the same (more or less)? Due to the characteristics of the antivirus service we have to assess which way is simpler.

                This depends; if your ePO server 4.5 is installed on a Windows 2003 or Windows 2008 32 bits then you'll have to use the upgrade utility to upgrade to 5.1 and this involves moving ePO to a new server with Windows 2008 x64 or Windows 2012.

                 

                You also have to be aware that ePO 5.1 can only work with SQL 2008 or SQL 2012

                 

                But if your ePO server is on a Windows 2008 R2 with SQL 2008 or 2012 I think the upgrade path to ePO 5.1 does not involve anything special.

                 

                As for ePO 4.6 there's no specific requirement on OS (2003 or 2008) and needs at least SQL 2005 SP3; the upgrade process is also direct, nothing specific to be done rather than next->next->next

                • 5. Re: Upgrade from ePO 4.5 to ePO 4.6 or 5.1
                  sop-windows

                  Hi, Laszlo G:

                  we have ePO 4.5 on a Windows 2008 R2 x64 server. Moving to SQL Server 2008 is not a problema for us, but in this case, if I understand you, we have firstable to move ePO 4.5 database to SQL Server 2008 (upgrade SQL Server) and then upgrade the console?

                  Thanks a lot!

                  • 6. Re: Upgrade from ePO 4.5 to ePO 4.6 or 5.1
                    Laszlo G

                    That's right, if your ePO database is running under SQL 2005 and you want to upgrade to ePO 5.1 then you'll need to upgrade to SQL 2008

                     

                    If you just upgrade to ePO 4.6 then you just need to apply patch 3 (at least) to your SQL 2005 before upgrading ePO